object ClientDataDM: TClientDataDM
  OldCreateOrder = False
  Left = 364
  Top = 167
  Height = 317
  Width = 253
  object Master: TIBTable
    Database = ClientMainDM.Database
    Transaction = Transaction
    ForcedRefresh = True
    AfterDelete = MasterAfterDelete
    AfterPost = MasterAfterPost
    BufferChunks = 1000
    CachedUpdates = False
    FieldDefs = <
      item
        Name = 'GID'
        Attributes = [faRequired]
        DataType = ftLargeint
      end
      item
        Name = 'DATA'
        Attributes = [faRequired]
        DataType = ftString
        Size = 255
      end
      item
        Name = 'LOG_OWN_GEN'
        Attributes = [faRequired]
        DataType = ftInteger
      end
      item
        Name = 'DB_ID'
        Attributes = [faReadonly]
        DataType = ftLargeint
      end>
    IndexDefs = <
      item
        Name = 'RDB$PRIMARY9'
        Fields = 'GID'
        Options = [ixPrimary, ixUnique]
      end
      item
        Name = 'RDB$FOREIGN15'
        Fields = 'GID'
      end>
    StoreDefs = True
    TableName = 'MASTER'
    Left = 24
    Top = 184
    object MasterGID: TLargeintField
      FieldName = 'GID'
      ReadOnly = True
      OnGetText = MasterGIDGetText
    end
    object MasterDATA: TIBStringField
      FieldName = 'DATA'
      Size = 255
    end
    object MasterLOG_OWN_GEN: TIntegerField
      FieldName = 'LOG_OWN_GEN'
      ReadOnly = True
    end
  end
  object Transaction: TIBTransaction
    Active = False
    DefaultDatabase = ClientMainDM.Database
    Params.Strings = (
      'concurrency'
      'nowait')
    AutoStopAction = saNone
    Left = 144
    Top = 16
  end
  object Query: TIBQuery
    Database = ClientMainDM.Database
    Transaction = Transaction
    BufferChunks = 1000
    CachedUpdates = False
    Left = 72
    Top = 216
  end
  object LogMaster: TIBTable
    Database = ClientMainDM.Database
    Transaction = Transaction
    ForcedRefresh = True
    BufferChunks = 1000
    CachedUpdates = False
    ReadOnly = True
    TableName = 'LOG_MASTER'
    Left = 24
    Top = 128
    object LogMasterLOG_GID: TLargeintField
      FieldName = 'LOG_GID'
      OnGetText = LogMasterLOG_GIDGetText
    end
    object LogMasterLOG_INS_GEN: TIntegerField
      FieldName = 'LOG_INS_GEN'
    end
    object LogMasterLOG_UPD_GEN: TIntegerField
      FieldName = 'LOG_UPD_GEN'
    end
    object LogMasterLOG_IS_DELETED: TLargeintField
      FieldKind = fkInternalCalc
      FieldName = 'LOG_IS_DELETED'
      ReadOnly = True
    end
    object LogMasterLOG_DB_ID: TLargeintField
      FieldKind = fkInternalCalc
      FieldName = 'LOG_DB_ID'
      ReadOnly = True
    end
  end
  object Detail: TIBTable
    Database = ClientMainDM.Database
    Transaction = Transaction
    ForcedRefresh = True
    AfterDelete = DetailAfterDelete
    AfterPost = DetailAfterPost
    BufferChunks = 1000
    CachedUpdates = False
    TableName = 'DETAIL'
    Left = 192
    Top = 112
    object DetailGID: TLargeintField
      FieldName = 'GID'
      ReadOnly = True
      OnGetText = DetailGIDGetText
    end
    object DetailDATA: TIBStringField
      FieldName = 'DATA'
      Size = 255
    end
    object DetailMASTER_GID: TLargeintField
      FieldName = 'MASTER_GID'
      ReadOnly = True
      Required = True
      OnGetText = DetailMASTER_GIDGetText
    end
    object DetailLOG_OWN_GEN: TIntegerField
      FieldName = 'LOG_OWN_GEN'
      ReadOnly = True
    end
  end
  object LogDetail: TIBTable
    Database = ClientMainDM.Database
    Transaction = Transaction
    ForcedRefresh = True
    BufferChunks = 1000
    CachedUpdates = False
    ReadOnly = True
    TableName = 'LOG_DETAIL'
    Left = 136
    Top = 144
    object LogDetailLOG_GID: TLargeintField
      FieldName = 'LOG_GID'
      OnGetText = LogDetailLOG_GIDGetText
    end
    object LogDetailLOG_INS_GEN: TIntegerField
      FieldName = 'LOG_INS_GEN'
    end
    object LogDetailLOG_UPD_GEN: TIntegerField
      FieldName = 'LOG_UPD_GEN'
    end
    object LogDetailLOG_IS_DELETED: TLargeintField
      FieldKind = fkInternalCalc
      FieldName = 'LOG_IS_DELETED'
      ReadOnly = True
    end
    object LogDetailLOG_DB_ID: TLargeintField
      FieldKind = fkInternalCalc
      FieldName = 'LOG_DB_ID'
      ReadOnly = True
    end
  end
  object Client: TIBTable
    Database = ClientMainDM.Database
    Transaction = Transaction
    BufferChunks = 1000
    CachedUpdates = False
    ReadOnly = True
    TableName = 'CLIENT'
    Left = 168
    Top = 200
  end
  object DBProfile: TIBTable
    Database = ClientMainDM.Database
    Transaction = Transaction
    BufferChunks = 1000
    CachedUpdates = False
    ReadOnly = True
    TableName = 'DB_PROFILE'
    Left = 24
    Top = 56
  end
  object LogDBProfile: TIBTable
    Database = ClientMainDM.Database
    Transaction = Transaction
    BufferChunks = 1000
    CachedUpdates = False
    ReadOnly = True
    TableName = 'LOG_DB_PROFILE'
    Left = 80
    Top = 88
  end
end
