unit unSelectMasterForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, DB, IBCustomDataSet, IBTable, IBDatabase,
  IBQuery, StdCtrls, ExtCtrls, Buttons;

type
  TSelectMasterForm = class(TForm)
    MasterDS: TDataSource;
    DBGrid1: TDBGrid;
    DetailDS: TDataSource;
    Transaction: TIBTransaction;
    OwnMasters: TIBQuery;
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    OwnMastersGID: TLargeintField;
    OwnMastersDATA: TIBStringField;
    OwnMastersLOG_OWN_GEN: TIntegerField;
    OwnMastersDB_ID: TLargeintField;
    procedure MasterGIDGetText(Sender: TField; var Text: String;
      DisplayText: Boolean);
    procedure MasterDSDataChange(Sender: TObject; Field: TField);
    procedure FormActivate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure OwnMastersGIDGetText(Sender: TField; var Text: String;
      DisplayText: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SelectMasterForm: TSelectMasterForm;

implementation

uses unClientMainDM, unTools, unClientDataDM;

{$R *.dfm}

procedure TSelectMasterForm.MasterGIDGetText(Sender: TField;
  var Text: String; DisplayText: Boolean);
  begin
    if  DisplayText then
      Text := GIDToStr( Sender.AsVariant );
  end;

procedure TSelectMasterForm.MasterDSDataChange( Sender: TObject; Field: TField );
  begin
    DetailDS.DataSet.FieldByName( 'MASTER_GID' ).AsString :=
      MasterDS.DataSet.FieldByName( 'GID' ).AsString;
  end;

procedure TSelectMasterForm.FormActivate(Sender: TObject);
  begin
    OwnMasters.Open;
    DetailDS.DataSet.FieldByName( 'MASTER_GID' ).AsString :=
      MasterDS.DataSet.FieldByName( 'GID' ).AsString;
  end;

procedure TSelectMasterForm.BitBtn1Click(Sender: TObject);
  begin
    Close;
  end;

procedure TSelectMasterForm.OwnMastersGIDGetText(Sender: TField;
  var Text: String; DisplayText: Boolean);
  begin
    if DisplayText then
      Text := GIDToStr( Sender.AsVariant );
   end;

end.
