unit unServerChangesForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, DB, StdCtrls, Buttons, ExtCtrls, ComCtrls;

type
  TServerChangesForm = class(TForm)
    MasterInputDS: TDataSource;
    pnControls: TPanel;
    bbContinue: TBitBtn;
    bbRollback: TBitBtn;
    PageControl: TPageControl;
    tshMaster: TTabSheet;
    tshDetail: TTabSheet;
    DBGrid1: TDBGrid;
    DBGrid2: TDBGrid;
    DetailInputDS: TDataSource;
    tshDBProfile: TTabSheet;
    grDBProfileJoinLog: TDBGrid;
    DBProfileInputDS: TDataSource;
  private
    { Private declarations }
  public
    { Public declarations }
    function ShowModalParams( Gen: Integer ): TModalResult;
  end;

var
  ServerChangesForm: TServerChangesForm;

implementation

uses unInteractionDM;

{$R *.dfm}

{ TRemoteGenerationForm }

function TServerChangesForm.ShowModalParams( Gen: Integer ): TModalResult;
  begin
    DBProfileInputDS.DataSet.Active := True;
    MasterInputDS.DataSet.Active := True;
    DetailInputDS.DataSet.Active := True;

    DBProfileInputDS.DataSet.Last;
    MasterInputDS.DataSet.Last;
    DetailInputDS.DataSet.Last;

    DBProfileInputDS.DataSet.First;
    MasterInputDS.DataSet.First;
    DetailInputDS.DataSet.First;

    tshDBProfile.Caption := 'DBProfile ' + IntToStr( DBProfileInputDS.DataSet.RecordCount );
    tshMaster.Caption := 'Master ' + IntToStr( MasterInputDS.DataSet.RecordCount );
    tshDetail.Caption := 'Detail ' + IntToStr( DetailInputDS.DataSet.RecordCount );
    Caption := Format( 'GEN %d', [ Gen ] );
    Result := ShowModal;
  end;

end.





